Subject: Re: bug#59719: 29.0.60; emacs-news-mode does not adjust the width of the fringe to accommodate the outline icons

From: Juri Linkov <[email-masked]>
Date: Wed, 30 Nov 2022 18:41:11 +0200

> The fringe is too small to accomodate the icons, but emacs-news-mode
> does not adjust the width.  This is especially bad for the 'emoji'
> icons.

This is a known limitation of the margin area: its width is limited
to 10 pixels.  This is why in the icon definition outline-open-in-margins
the square icon images are resized to :height 10.  But apparently this
doesn't work for non-image icons.  Maybe there is a setting that
could change the width of window-margins (in pixels)?